[Unit]
Before=dhcpd.service
After=prepare-persist.service

[Service]
Type=oneshot
ExecStartPre=/bin/mkdir -pZ /run/dhcp-cfg
ExecStartPre=-/lib/systemd/systemd-networkd-wait-online -q -i mgmt0 -i int0
ExecStart=/usr/sbin/setup-symlink /run/dhcp-cfg/dhcp.conf \
	/persist/isc-dhcpd/hosts-INT.conf \
	/etc/dhcp/dhcp-persist.conf \
	/etc/dhcp/dhcp-empty.conf

[Install]
WantedBy=dhcpd.service
